View Issue Details

IDProjectCategoryView StatusLast Update
0003839Slicer4Module Welcomepublic2018-03-02 11:06
ReporterkikinisAssigned Topieper 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.6.0Fixed in VersionSlicer 4.6.0 
Summary0003839: Welcome: Add shortcut button to open extensions manager
Description

From Ron (copied from issue 0003687): Add a button shortcut to the extension manager

TagsNo tags attached.

Relationships

related to 0003687 closedjcfr Update Slicer Welcome module for 4.4 release 

Activities

2014-09-10 12:48

 

jcfr

jcfr

2014-09-10 12:49

administrator   ~0012506

@Ron: Would it work to add a button as show on the attached screenshot ?

jcfr

jcfr

2014-09-10 12:53

administrator   ~0012507

Associated topic https://github.com/jcfr/Slicer/tree/3839-welcome-module-add-shortcut-extensions-manager

lauren

lauren

2015-11-25 05:05

developer   ~0013643

I like this J-C.

However, for a new user, the term "extensions manager" may not be clear. Is there a tooltip that says something like "Add new Slicer modules from the extensions manager"? Or perhaps the button could say "Add Slicer extensions" instead.

Personally I would like having the extension manager button on the second row next to sample data, as they both seem related for new users. Then the "customize Slicer" button below that. I'm not sure looking at it what the customize button does, but I assume it's local user settings?

Happy thanksgiving.

jcfr

jcfr

2016-05-21 02:33

administrator  

2016.05.21_Slicer_Issue3839_ExtensionsManagerShortcut-in-Welcome-module.png (Attachment missing)
jcfr

jcfr

2016-05-21 02:34

administrator   ~0013888

@Lauren: I relocated the button and also associated a toolip. That should be available in tomorrow nightly package.

jcfr

jcfr

2016-05-21 02:35

administrator   ~0013889

Integrated in r25102
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=25102

lauren

lauren

2016-05-21 09:27

developer   ~0013891

@JC Thanks. I look forward to checking it out!

Related Changesets

Import 2017-06-07 23:51:09: master a1151ccb

2016-05-21 02:34:40

jcfr

Details Diff
ENH: Welcome: Add shortcut button to open extensions manager. Fixes 0003839

Reviewed-by: Lauren O'Donnell <odonnell@bwh.harvard.edu>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25102 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/SlicerWelcome/Resources/UI/qSlicerWelcomeModuleWidget.ui Diff File
mod - Modules/Loadable/SlicerWelcome/qSlicerWelcomeModuleWidget.cxx Diff File

Issue History

Date Modified Username Field Change
2014-09-10 11:23 jcfr New Issue
2014-09-10 11:23 jcfr Status new => assigned
2014-09-10 11:23 jcfr Assigned To => jcfr
2014-09-10 11:24 jcfr Reporter jcfr => kikinis
2014-09-10 11:24 jcfr Target Version => Slicer 4.4.0
2014-09-10 11:38 jcfr Relationship added related to 0003687
2014-09-10 12:48 jcfr File Added: Slicer-issue-3839_WelcomeModule_Shortcut_to_ExtensionsManager.png
2014-09-10 12:48 jcfr Target Version Slicer 4.4.0 => Slicer 4.5.0-1
2014-09-10 12:49 jcfr Note Added: 0012506
2014-09-10 12:49 jcfr Status assigned => feedback
2014-09-10 12:53 jcfr Note Added: 0012507
2015-11-02 05:57 jcfr Target Version Slicer 4.5.0-1 => Slicer 4.5.1
2015-11-25 05:05 lauren Note Added: 0013643
2016-05-21 02:33 jcfr File Added: 2016.05.21_Slicer_Issue3839_ExtensionsManagerShortcut-in-Welcome-module.png
2016-05-21 02:34 jcfr Note Added: 0013888
2016-05-21 02:35 jcfr Fixed in Version => Slicer 4.6.0
2016-05-21 02:35 jcfr Note Added: 0013889
2016-05-21 02:35 jcfr Status feedback => resolved
2016-05-21 02:35 jcfr Resolution open => fixed
2016-05-21 09:27 lauren Note Added: 0013891
2016-10-13 01:28 jcfr Target Version Slicer 4.5.1 => Slicer 4.6.0
2017-06-10 08:51 jcfr Changeset attached => Slicer master a1151ccb
2017-10-03 10:38 pieper Assigned To jcfr => pieper
2018-03-02 11:06 jcfr Status resolved => closed